subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vishwajeet singh <dextrou...@gmail.com>
Subject Re: Why does workflow change require environment upgrade?
Date Thu, 13 Jan 2011 13:05:10 GMT
On Thu, Jan 13, 2011 at 6:30 PM, Cooke, Mark <mark.cooke@siemens.com> wrote:

> Folks,
>
> I've split this out from previous thread
> (http://groups.google.com/group/trac-users/browse_thread/thread/f836f93b
> 25b8b275) as a more specific question:
>
> Why should changing the workflow in 0.11.7 require an environment
> upgrade?
>
> Background from the other thread: each env inherits a shared conf that
> then inherits a shared workflow file (using 'file = xxx' in the
> [inherit] section).  I am investigating why the workflow is not working
> in any env when I broke all my trac sites producing:
>
> <project-name>: Error
> (The Trac Environment needs to be upgraded. Run "trac-admin
> <project-path> upgrade")
>
> ...and the trac.log error:
>
> 2011-01-13 10:23:10,038 Trac[env] WARNING: Component
> <trac.ticket.default_workflow.ConfigurableTicketWorkflow object at
> 0x02B7AD50> requires environment upgrade
>
> AFAIK the workflow is self-contained I the ini file and should not
> affect the environment or database?
>
> I appreciate any insight you can offer,
>
> ~ mark c
>
> P.S. I will upgrade to 0.12, as soon as I have time to validate it,
> promise...
>

This is Subversion mailing list, can't figure out how your question is
related to Subversion


-- 
Vishwajeet Singh
+91-9657702154 | dextrous85@gmail.com | http://bootstraptoday.com
Twitter: http://twitter.com/vishwajeets | LinkedIn:
http://www.linkedin.com/in/singhvishwajeet

Mime
View raw message